# FundingConfigurationByCompany

Check the funding configuration of a company

`GET /api/v2/companies/{companyId}/funding/configuration`

**API:** AvaTax API
**Tag:** Companies
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Companies/FundingConfigurationByCompany/

## Description

This API is available by invitation only.
Requires a subscription to Avalara Managed Returns or SST Certified Service Provider.
Returns the funding configuration of the requested company.
.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, Compliance Root User, ComplianceAdmin, ComplianceUser, CSPAdmin, CSPTester, ECMAccountUser, ECMCompanyUser, FirmAdmin, FirmUser, ProStoresOperator, Registrar, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser, TreasuryAdmin, TreasuryUser.
* This API depends on the following active services:*Returns* (at least one of):  Mrs, MRSComplianceManager, AvaTaxCsp.*Firm Managed* (for accounts managed by a firm):  ARA, ARAManaged.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The unique identifier of the company |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `FundingConfigurationModel` |
| 400 | Bad Request | `ProblemDetails` |
| 401 | Unauthorized | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |

### 200 Response: `FundingConfigurationModel`

Status of an Avalara Managed Returns funding configuration for a company

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | No | CompanyID Example: `2793`. |
| `systemType` | string | No | Domain Example: `AvaTax15`. |
| `currency` | string | No | Recipient Example: `USD`. |
| `isFundingSetup` | boolean | No | Sender Example: `true`. |
| `fundingMethod` | string | No | DocumentKey Example: `ACH Pull`. |
| `lastUpdated` | string | No | LastPolled Example: `2026-07-02T04:05:05.0492548Z`. |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/funding/configuration" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```